#
# spec file for package rzip
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           rzip
Version:        2.1
Release:        151.2
Summary:        A large-file compression program
License:        GPL-2.0-or-later
Group:          Productivity/Archiving/Compression
URL:            https://rzip.samba.org
Source:         https://rzip.samba.org/ftp/rzip/%{name}-%{version}.tar.gz
Patch0:         fill-buffer.patch
BuildRequires:  libbz2-devel
BuildRequires:  libtool

%description
rzip is a compression program, similar in functionality to gzip or
bzip2, but able to take advantage long distance redundencies in files,
which can sometimes allow rzip to produce much better compression
ratios than other programs.

%prep
%autosetup -p1

%build
autoreconf -fiv
%configure
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
make install INSTALL_BIN=%{buildroot}/%{_bindir} INSTALL_MAN=%{buildroot}%{_mandir}

%files
%license COPYING
%{_bindir}/rzip
%{_mandir}/man1/rzip.1%{?ext_man}

%changelog
* Mon Nov 18 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Add libtool BuildRequire and Re-bootstrap the really old tarball:
  the configure script was originally created with autoconf 2.13,
  which produced chechs that fail with recent compilers.
* Fri Feb 23 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN.
* Tue Mar  5 2019 Martin Pluskal <mpluskal@suse.com>
- Modernise spec file
- Install license
* Thu May  4 2017 schwab@suse.de
- fill-buffer.patch: fix allocation of read buffer (bsc#1036941,
  CVE-2017-8364)
* Sun Apr 12 2015 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Use url for source
* Sat Mar 24 2007 aj@suse.de
- Add libbz2-devel to BuildRequires.
* Fri Aug 11 2006 schwab@suse.de
- Update to rzip 2.1.
  * No release notes.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov  2 2005 schwab@suse.de
- Initial version 2.0
